Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18880)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 19661)
@@ -67,10 +67,17 @@
      */
     function process() {
-        global $objCampaignSess;
-
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function action() {
         $objView = new SC_SiteView();
         $objSiteSess = new SC_SiteSession();
         $objCartSess = new SC_CartSession();
-        $objCampaignSess = new SC_CampaignSession();
         $objCustomer = new SC_Customer();
         $objDb = new SC_Helper_DB_Ex();
@@ -141,5 +148,5 @@
                 $objSiteSess->setRegistFlag();
                 // ダウンロード商品有りの場合は、支払方法画面に転送
-                $this->sendRedirect($this->getLocation("./payment.php"), array());
+                $this->objDisplay->redirect($this->getLocation("./payment.php"), array());
                 exit;
             }
@@ -163,5 +170,5 @@
                 $objSiteSess->setRegistFlag();
                 // お支払い方法選択ページへ移動
-                $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT, array(), true));
+                $this->objDisplay->redirect($this->getLocation(URL_SHOP_PAYMENT, array(), true));
                 exit;
             // 別のお届け先がチェックされている場合
@@ -179,5 +186,5 @@
                     $objSiteSess->setRegistFlag();
                     // お支払い方法選択ページへ移動
-                    $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT, array(), true));
+                    $this->objDisplay->redirect($this->getLocation(URL_SHOP_PAYMENT, array(), true));
                     exit;
                 }
@@ -190,5 +197,5 @@
         case 'return':
             // 確認ページへ移動
-            $this->sendRedirect($this->getLocation(URL_CART_TOP, array(), true));
+            $this->objDisplay->redirect($this->getLocation(URL_CART_TOP, array(), true));
             exit;
             break;
@@ -225,8 +232,4 @@
         $this->arrForm = $this->objFormParam->getFormParamList();
         $this->arrErr = $arrErr;
-
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
@@ -246,4 +249,14 @@
      */
     function mobileProcess() {
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のプロセス(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objView = new SC_MobileView();
         $objSiteSess = new SC_SiteSession();
@@ -316,10 +329,10 @@
                     $objSiteSess->setRegistFlag();
                     // ダウンロード商品有りの場合は、支払方法画面に転送
-                    $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT), array());
+                    $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT), array());
                     exit;
                 }
             } else {
                 // ログインページに戻る
-                $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_TOP), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_TOP));
                 exit;
             }
@@ -335,5 +348,5 @@
             if (!$objMobile->gfIsMobileMailAddress($objCustomer->getValue('email'))) {
                 if (!$objCustomer->hasValue('email_mobile')) {
-                    $this->sendRedirect($this->getLocation("../entry/email_mobile.php"), true);
+                    $this->objDisplay->redirect($this->getLocation("../entry/email_mobile.php"));
                     exit;
                 }
@@ -358,5 +371,5 @@
                 $objSiteSess->setRegistFlag();
                 // お支払い方法選択ページへ移動
-                $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT));
                 exit;
             }else{
@@ -381,5 +394,5 @@
                     $objSiteSess->setRegistFlag();
                     // お支払い方法選択ページへ移動
-                    $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT), true);
+                    $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SHOP_PAYMENT));
                     exit;
                 }
@@ -393,5 +406,5 @@
         case 'return':
             // 確認ページへ移動
-            $this->sendRedirect($this->getLocation(MOBILE_URL_CART_TOP), true);
+            $this->objDisplay->redirect($this->getLocation(MOBILE_URL_CART_TOP));
             exit;
             break;
@@ -426,6 +439,4 @@
         $this->arrForm = $this->objFormParam->getFormParamList();
         $this->arrErr = $arrErr;
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 19628)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 19661)
@@ -59,12 +59,18 @@
      */
     function process() {
-        global $objCampaignSess;
-
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objView = new SC_SiteView();
         $objSiteInfo = $objView->objSiteInfo;
         $this->arrInfo = $objSiteInfo->data;
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
@@ -93,4 +99,14 @@
      */
     function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+    /**
+     * Page のプロセス(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objView = new SC_MobileView();
         $this->objSiteSess = new SC_SiteSession();
@@ -152,7 +168,4 @@
             }
         }
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
@@ -234,9 +247,5 @@
         }
         // 一時テーブルを受注テーブルに格納する
-        if (defined("MOBILE_SITE")) {
-            $order_id = $this->lfRegistOrder($objQuery, $arrData);
-        } else {
-            $order_id = $this->lfRegistOrder($objQuery, $arrData, $this->objCampaignSess);
-        }
+        $order_id = $this->lfRegistOrder($objQuery, $arrData);
         // カート商品を受注詳細テーブルに格納する
         $this->lfRegistOrderDetail($objQuery, $order_id, $this->objCartSess);
@@ -375,5 +384,5 @@
      * @return integer 注文番号
      */
-    function lfRegistOrder($objQuery, $arrData, $objCampaignSess = null) {
+    function lfRegistOrder($objQuery, $arrData) {
         $objDb = new SC_Helper_DB_Ex();
         $sqlval = $arrData;
@@ -426,9 +435,4 @@
         $sqlval['create_date'] = 'Now()';       // 受注日
         $sqlval['update_date'] = 'Now()';       // 更新日時
-
-        // キャンペーンID
-        if (!defined("MOBILE_SITE")) {
-            if ($objCampaignSess->getIsCampaign()) $sqlval['campaign_id'] = $objCampaignSess->getCampaignId();
-        }
 
         // 受注テーブルの登録
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id: LC_Page_Admin_System_Rank.php 16582 2007-11-28 15:02:29Z satou $
  */
-class LC_Page_Admin_System_Rank extends LC_Page {
+class LC_Page_Admin_System_Rank extends LC_Page_Admin {
     // }}}
     // {{{ functions
@@ -51,4 +51,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
 
@@ -75,5 +85,5 @@
         
         // ページの表示
-        $this->sendRedirect($this->getLocation(URL_SYSTEM_TOP));
+        $this->objDisplay->redirect($this->getLocation(URL_SYSTEM_TOP));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 19661)
@@ -0,0 +1,180 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
+
+/**
+ * システム情報 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_System_System.php 18701 2010-06-14 08:30:18Z nanasess $
+ */
+class LC_Page_Admin_System_Plugin extends LC_Page_Admin {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'system/plugin.tpl';
+        $this->tpl_subnavi  = 'system/subnavi.tpl';
+        $this->tpl_subno    = 'plugin';
+        $this->tpl_mainno   = 'system';
+        $this->tpl_subtitle = 'プラグイン管理';
+    }
+
+    /**
+     * フォームパラメータ初期化
+     *
+     * @return void
+     */
+    function initForm() {
+        $objForm = new SC_FormParam();
+        var_dump($_POST);
+        $objForm->addParam('mode', 'mode', INT_LEN, '', array('ALPHA_CHECK', 'MAX_LENGTH_CHECK'));
+        $objForm->addParam('plugin_name', 'plugin_name', INT_LEN, '', array('ALPHA_CHECK', 'MAX_LENGTH_CHECK'));
+
+        $objForm->setParam($_POST);
+        $this->objForm = $objForm;
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        SC_Utils_Ex::sfIsSuccess(new SC_Session);
+        $this->initForm();
+        switch($this->objForm->getValue('mode')) {
+            // PHP INFOを表示
+            case 'install':
+                $name = $this->objForm->getValue('plugin_name');
+                require_once(DATA_PATH.'/plugin/'.$name.'/'.$name.'.php');
+                $plugin = new $name();
+                $plugin->install();
+                break;
+            case 'uninstall':
+                $name = $this->objForm->getValue('plugin_name');
+                require_once(DATA_PATH.'/plugin/'.$name.'/'.$name.'.php');
+                $plugin = new $name();
+                $plugin->uninstall();
+                break;
+            case 'enable':
+                $name = $this->objForm->getValue('plugin_name');
+                require_once(DATA_PATH.'/plugin/'.$name.'/'.$name.'.php');
+                $plugin = new $name();
+                $plugin->enable();
+                
+                break;
+            case 'disable':
+              $name = $this->objForm->getValue('plugin_name');
+                require_once(DATA_PATH.'/'.$name.'/'.$name.'.php');
+                $plugin = new $name();
+                $plugin->disable();
+                break;
+            default:
+                $plugins = SC_Helper_Plugin_Ex::getAllPlugin();
+                $this->plugins = array_merge($plugins,
+                $this->getPluginOnFilesystem($plugins));
+                break;
+        }
+
+        $this->arrSystemInfo = $this->getSystemInfo();
+    }
+
+    /*
+     CREATE TABLE dtb_plugin (
+     plugin_id INT NOT NULL,
+     plugin_name VARCHAR(255) NOT NULL DEFAULT "",
+     enable INT NOT NULL DEFAULT 0,
+     del_flg INT NOT NULL DEFAULT 0,
+     class_name VARCHAR(255) NOT NULL DEFAULT NULL,
+     create_date DATETIME NOT NULL,
+     update_date DATETIME NOT NULL,
+     PRIMARY KEY (plugin_id)
+     ) TYPE=InnoDB;
+     */
+
+    function getPluginOnFilesystem($existsPlugins){
+
+        $dir = DATA_PATH."plugin/";
+        $arrPlugins = array();
+        if($dh =  opendir($dir)){
+            while(($file = readdir($dh)) !== false){
+                if(!preg_match('/^\\./', $file) && $file !='..' && filetype($dir.$file) == 'dir'){
+                    $arrPlugins[] = array('plugin_name'=>$file,'class_name'=>$file);
+
+                }
+            }
+        }
+        //        var_dump($arrPlugins);
+        return $arrPlugins;
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    /**
+     * システム情報を取得する
+     *
+     * @return array
+     */
+    function getSystemInfo() {
+        $objDB = SC_DB_DBFactory_Ex::getInstance();
+
+        $arrSystemInfo = array(
+        array('title' => 'EC-CUBE',  'value' => ECCUBE_VERSION),
+        array('title' => 'OS',       'value' => php_uname()),
+        array('title' => 'DBサーバ',  'value' => $objDB->sfGetDBVersion()),
+        array('title' => 'WEBサーバ', 'value' => $_SERVER['SERVER_SOFTWARE']),
+        array('title' => 'PHP',      'value' => phpversion()),
+        array('title' => 'GD',       'value' => extension_loaded('GD') ? 'Loaded' : '--'),
+        );
+
+        return $arrSystemInfo;
+    }
+}
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Input.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System_Input extends LC_Page {
+class LC_Page_Admin_System_Input extends LC_Page_Admin {
 
     // }}}
@@ -44,4 +44,6 @@
     function init() {
         parent::init();
+
+        $this->tpl_mainpage = 'system/input.tpl';
 
         // ページ送り用ナンバーの取得
@@ -61,10 +63,19 @@
      */
     function process() {
-
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // ログインチェック
         SC_Utils::sfIsSuccess(new SC_Session());
 
         // トランザクショントークンの取得
-        $this->transactionid = $this->getToken();
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
 
         switch($this->getMode()) {
@@ -85,8 +96,4 @@
             break;
         }
-
-        $objView = new SC_AdminView();
-        $objView->assignobj($this);
-        $objView->display('system/input.tpl');
     }
 
@@ -124,5 +131,5 @@
      */
     function execNewMode() {
-        if ($this->isValidToken() !== true) {
+        if (SC_Helper_Session_Ex::isValidToken() !== true) {
             SC_Utils::sfDispError('');
         }
@@ -143,10 +150,10 @@
             $this->arrErr = $arrErr;
             // トランザクショントークンの取得
-            $this->transactionid = $this->getToken();
+            $this->transactionid = SC_Helper_Session_Ex::getToken();
             return;
         }
 
         $this->insertMemberData($this->objForm->getHashArray());
-        $this->reload(array('mode' => 'parent_reload'));
+        $this->objDisplay->reload(array('mode' => 'parent_reload'));
     }
 
@@ -214,5 +221,5 @@
      */
     function execEditMode() {
-        if ($this->isValidToken() !== true) {
+        if (SC_Helper_Session_Ex::isValidToken() !== true) {
             SC_Utils::sfDispError('');
         }
@@ -233,5 +240,5 @@
             $this->arrErr = $arrErr;
             // トランザクショントークンの取得
-            $this->transactionid = $this->getToken();
+            $this->transactionid = SC_Helper_Session_Ex::getToken();
             return;
         }
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System extends LC_Page {
+class LC_Page_Admin_System extends LC_Page_Admin {
 
     // }}}
@@ -65,5 +65,14 @@
      */
     function process() {
-        $objView  = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess  = new SC_Session();
 
@@ -87,7 +96,4 @@
         // 取得範囲を指定(開始行番号、行数のセット)して管理者データを取得
         $this->list_data = $this->getMemberData($objNavi->start_row);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System_Parameter extends LC_Page {
+class LC_Page_Admin_System_Parameter extends LC_Page_Admin {
 
     // {{{ properties
@@ -68,5 +68,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $masterData = new SC_DB_MasterData_Ex();
 
@@ -106,6 +115,4 @@
                                              array("id", "remarks", "rank")));
 
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(DATA_PATH. "module/Tar.php");
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System_Bkup extends LC_Page {
+class LC_Page_Admin_System_Bkup extends LC_Page_Admin {
 
     // }}}
@@ -61,5 +61,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
 
@@ -147,7 +156,4 @@
         $this->arrForm = isset($arrForm) ? $arrForm : array();
         $this->arrBkupList = $arrBkupList;
-
-        $objView->assignobj($this);		//変数をテンプレートにアサインする
-        $objView->display(MAIN_FRAME);		//テンプレートの出力
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Log.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Log.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Log.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id: LC_Page_Admin_System_System.php 17576 2008-08-28 06:08:09Z Seasoft $
  */
-class LC_Page_Admin_System_Log extends LC_Page {
+class LC_Page_Admin_System_Log extends LC_Page_Admin {
 
     // }}}
@@ -58,6 +58,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         SC_Utils_Ex::sfIsSuccess(new SC_Session);
-        $objView = new SC_AdminView();
         
         $this->lfInitParam();
@@ -68,7 +77,4 @@
         
         $this->tpl_ec_log = $this->getEccubeLog();
-        
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Delete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Delete.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Delete.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System_Delete extends LC_Page {
+class LC_Page_Admin_System_Delete extends LC_Page_Admin {
 
     // }}}
@@ -52,5 +52,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
 
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // 認証可否の判定
         $objSess = new SC_Session();
@@ -81,5 +90,5 @@
         $url = $this->getLocation(URL_SYSTEM_TOP)
              . '?pageno=' . $this->objForm->getValue('pageno');
-        $this->sendRedirect($url);
+        $this->objDisplay->redirect($url);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_System.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_System.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_System.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System_System extends LC_Page {
+class LC_Page_Admin_System_System extends LC_Page_Admin {
 
     // }}}
@@ -69,7 +69,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
 
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         SC_Utils_Ex::sfIsSuccess(new SC_Session);
-        $objView = new SC_AdminView();
 
         $this->initForm();
@@ -87,7 +95,4 @@
 
         $this->arrSystemInfo = $this->getSystemInfo();
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_System_Masterdata extends LC_Page {
+class LC_Page_Admin_System_Masterdata extends LC_Page_Admin {
 
     // }}}
@@ -57,8 +57,16 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
 
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         SC_Utils_Ex::sfIsSuccess(new SC_Session);
 
-        $objView = new SC_AdminView();
         $this->arrMasterDataName = $this->getMasterDataNames(array("mtb_pref",
                                                                    "mtb_zip",
@@ -108,7 +116,4 @@
         default:
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin.php	(revision 19661)
@@ -43,6 +43,12 @@
      */
     function init() {
-        parent::init();
-        $this->tpl_mainpage = 'login.tpl';
+        $this->template = MAIN_FRAME;
+
+        // ディスプレイクラス生成
+        $this->objDisplay = new SC_Display();
+
+        // プラグインクラス生成
+        #$this->objPlagin = new SC_Helper_Plugin_Ex();
+        #$this->objPlagin->preProcess($this);
     }
 
@@ -53,8 +59,16 @@
      */
     function process() {
-        $objView = new SC_AdminView();
-        $objView->assignobj($this);
-        $objView->display(LOGIN_FRAME);
     }
+
+    /**
+     * Page のレスポンス送信.
+     *
+     * @return void
+     */
+    function sendResponse() {
+        $this->objDisplay->hoge($this, true);
+        $this->objDisplay->response->response();
+    }
+
 
     /**
Index: /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore extends LC_Page {
+class LC_Page_Admin_OwnersStore extends LC_Page_Admin {
 
     var $tpl_subno = 'index';
@@ -58,11 +58,16 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
 
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // ログインチェック
         SC_Utils::sfIsSuccess(new SC_Session());
-
-        $objView = new SC_AdminView();
-        $objView->assignObj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore_Settings extends LC_Page {
+class LC_Page_Admin_OwnersStore_Settings extends LC_Page_Admin {
 
     /** SC_FormParamのインスタンス */
@@ -67,10 +67,19 @@
      */
     function process() {
-
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // ログインチェック
         SC_Utils::sfIsSuccess(new SC_Session());
 
         // トランザクションIDの取得
-        $this->transactionid = $this->getToken();
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
 
         // $_POST['mode']によってアクション振り分け
@@ -84,9 +93,4 @@
             $this->execDefaultMode();
         }
-
-        // ページ出力
-        $objView = new SC_AdminView();
-        $objView->assignObj($this);
-        $objView->display(MAIN_FRAME);
     }
 
@@ -124,5 +128,5 @@
      */
     function execRegisterMode() {
-        if ($this->isValidToken() !== true) {
+        if (SC_Helper_Session_Ex::isValidToken() !== true) {
             SC_Utils_Ex::sfDispError('');
         }
@@ -136,5 +140,5 @@
             $this->arrErr  = $arrErr;
             $this->arrForm = $this->objForm->getHashArray();
-            $this->transactionid = $this->getToken();
+            $this->transactionid = SC_Helper_Session_Ex::getToken();
             return;
         }
@@ -147,5 +151,5 @@
 
         $this->tpl_onload = "alert('登録しました。')";
-        $this->transactionid = $this->getToken();
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore_Log extends LC_Page {
+class LC_Page_Admin_OwnersStore_Log extends LC_Page_Admin {
 
     // }}}
@@ -57,4 +57,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
 
         // ログインチェック
@@ -78,9 +88,4 @@
         }
         $this->arrInstallLogs = $this->getLogs();
-
-        // ページ出力
-        $objView = new SC_AdminView();
-        $objView->assignObj($this);
-        $objView->display(MAIN_FRAME);
     }
 
